import Vue from 'vue';
import { UploadFile } from './type';
import { UploadRemoveOptions } from './interface';
import { UploadConfig } from '../config-provider/config-receiver';
declare const _default: import("vue/types/vue").ExtendedVue<{
    t<T>(pattern: T, placement?: import("../config-provider/config-receiver").Placement): string;
} & {
    global: UploadConfig;
} & Record<never, any> & import("../config-provider/config-receiver").ConfigComponent & Vue, unknown, {
    onMaskClick(e: MouseEvent): void;
    onViewClick(e: MouseEvent, file?: UploadFile): void;
}, {
    showTrigger: boolean;
}, {
    showUploadProgress: boolean;
    files: UploadFile[];
    loadingFile: UploadFile;
    trigger: (e: MouseEvent) => void;
    remove: (options: UploadRemoveOptions) => void;
    multiple: boolean;
    max: number;
    disabled: boolean;
}>;
export default _default;
